<ion-content class="ion-padding">
  <ion-grid>
    <ion-row>
      <ion-col size-md="6" offset-md="3">
        <ion-card>
          <ion-card-header>
            <ion-card-title>{{ 'Add Daily Visitor' | translate }}</ion-card-title>
          </ion-card-header>
          <ion-card-content>
            <form [formGroup]="form" (ngSubmit)="AddDailyVisitor()" (keyup.enter)="AddDailyVisitor()" method="post">
              
              <ion-grid>
                <ion-row>
                  <ion-col>
                    <div padding align="center">
                      <ion-avatar>
                        <img [src]="dailyVisitor.profilePicture.content" />
                        <ion-fab vertical="center" horizontal="center">
                          <ion-fab-button size="small" (click)="takePicture()">
                            <ion-icon name="camera"></ion-icon>
                          </ion-fab-button>
                        </ion-fab>
                      </ion-avatar>
                    </div>
                  </ion-col>
                </ion-row>
              </ion-grid>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Name' | translate }}</ion-label>
                <ion-input formControlName="name" type="text" name="name"></ion-input>
              </ion-item>

              <div style="color: red" *ngIf="form.get('name').hasError('required') && form.get('name').touched">{{ 'This field is required*' | translate }}</div>
              <ion-item>
                <ion-label position="floating">{{ 'Visitor Mobile Number' | translate }}</ion-label>
                <ion-input formControlName="phone" type="number" name="phone"></ion-input>
              </ion-item>

              <div style="color: red" *ngIf="form.get('phone').hasError('required') && form.get('phone').touched">{{ 'This field is required*' | translate }}</div>
              <div style="color: red" *ngIf="form.get('phone').hasError('pattern') && form.get('phone').touched">{{ 'Please enter valid phone number' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Visitor Address' | translate }}</ion-label>
                <ion-textarea formControlName="address" type="text"></ion-textarea>
              </ion-item>

              <div style="color: red" *ngIf="form.get('address').hasError('required') && form.get('address').touched">{{ 'This field is required*' | translate }}</div>

              <ion-item>
                <ion-label position="floating">{{ 'Visiting To' | translate }}</ion-label>
                <ionic-selectable #selectComponent formControlName="visitingTo" [items]="apartments" itemValueField="id"
                  itemTextField="flatNo" itemTextField="phone" itemTextField="name" [isMultiple]="true"
                  headerColor="primary" [canSearch]="true" (onChange)="userChanged($event)"
                  (onSearch)="onSearch($event)" [shouldBackdropClose]="true" name="visitingTo" (onOpen)="onOpen()"
                  (onClose)="onClose()" (onSearchFail)="onSearchFail($event)">

                  <ng-template ionicSelectableCloseButtonTemplate>
                    <ion-icon name="close-circle"></ion-icon>
                  </ng-template>

                  <ng-template ionicSelectableTitleTemplate>
                   {{ 'Select Visiting To' | translate }}
                  </ng-template>

                  <ng-template ionicSelectableMessageTemplate *ngIf="securityService.progressing">
                    <ion-progress-bar color="danger" value="0.7"></ion-progress-bar>
                  </ng-template>

                  <ng-template ionicSelectableItemTemplate let-apartment="item">
                    <ion-item>
                      <ion-icon name="home"></ion-icon>
                      <ion-label>{{ apartment?.name }} ({{ apartment?.facilityOwner?.name }})</ion-label>
                    </ion-item>
                  </ng-template>

                  <ng-template ionicSelectableFooterTemplate>
                    <ion-footer>
                      <ion-toolbar>
                        <ion-row text-center>
                          <ion-col>
                            <ion-button fill="clear" (click)="clear()">{{ 'Cancel' | translate }}</ion-button>
                          </ion-col>
                          <ion-col>
                            <ion-button fill="clear" (click)="confirm()">{{ 'Confirm' | translate }}</ion-button>
                          </ion-col>
                        </ion-row>
                      </ion-toolbar>
                    </ion-footer>
                  </ng-template>

                </ionic-selectable>
              </ion-item>

              <div style="color: red"
                *ngIf="form.get('visitingTo').hasError('required') && form.get('visitingTo').touched">
                {{ 'This field is required*' | translate }}</div>

              <ion-button type="submit" expand="full" color="danger" [disabled]="!form.valid">
                {{ 'Save Visitor' | translate }}</ion-button>
            </form>
          </ion-card-content>
        </ion-card>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>